SQLITE3_NEXT_STMT(3) | Library Functions Manual | SQLITE3_NEXT_STMT(3)

# NAME

`sqlite3_next_stmt` —
Find the next prepared statement

# SYNOPSIS

sqlite3_stmt *
`sqlite3_next_stmt`(sqlite3 *pDb, sqlite3_stmt *pStmt);

# DESCRIPTION

This interface returns a pointer to the next prepared statement after pStmt associated with the database connection pDb. If pStmt is NULL then this interface returns a pointer to the first prepared statement associated with the database connection pDb. If no prepared statement satisfies the conditions of this routine, it returns NULL.

The database connection pointer D in a call to sqlite3_next_stmt(D,S) must refer to an open database connection and in particular must not be a NULL pointer.

# SEE ALSO

sqlite3(3), sqlite3_stmt(3)

December 19, 2018 | NetBSD 9.3